kr.co.hanwha.hifive.enums

## Enum ViewHolderTaskType

- java.lang.Object
- - java.lang.Enum<ViewHolderTaskType>
  - - kr.co.hanwha.hifive.enums.ViewHolderTaskType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ViewHolderTaskType>

      public enum ViewHolderTaskType
      extends java.lang.Enum<ViewHolderTaskType>

  Main home list 정의

  Created by sanghoonkwon on 2018. 1. 31..

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM_MARGIN` 하단 여백
    `EVALUATION_DATA` 평가 수락 / 반려 처리해야될 업무
    `EVALUATION_HEADER` 평가함 제목
    `FAMOUS_SAYING_MARGIN` 명언 뷰
    `REQUEST_DATA` 요청한 업무
    `REQUEST_HEADER` 요청한 업무 제목
    `TASK_CLOSED_DATA` 완료된 업무
    `TASK_CLOSED_HEADER` 완료된 업무 제목
    `TASK_DATA` 나의 업무
    `TASK_HEADER` 나의 업무 제목
    `TODAY_DATA` 오늘의 할일(Assigned)
    `TODAY_HEADER` 오늘의 할일 제목

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `type`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static ViewHolderTaskType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ViewHolderTaskType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TODAY_HEADER

          public static final ViewHolderTaskType TODAY_HEADER

      오늘의 할일 제목

    - #### TODAY_DATA

          public static final ViewHolderTaskType TODAY_DATA

      오늘의 할일(Assigned)

    - #### TASK_HEADER

          public static final ViewHolderTaskType TASK_HEADER

      나의 업무 제목

    - #### TASK_DATA

          public static final ViewHolderTaskType TASK_DATA

      나의 업무

    - #### TASK_CLOSED_HEADER

          public static final ViewHolderTaskType TASK_CLOSED_HEADER

      완료된 업무 제목

    - #### TASK_CLOSED_DATA

          public static final ViewHolderTaskType TASK_CLOSED_DATA

      완료된 업무

    - #### EVALUATION_HEADER

          public static final ViewHolderTaskType EVALUATION_HEADER

      평가함 제목

    - #### EVALUATION_DATA

          public static final ViewHolderTaskType EVALUATION_DATA

      평가 수락 / 반려 처리해야될 업무

    - #### REQUEST_HEADER

          public static final ViewHolderTaskType REQUEST_HEADER

      요청한 업무 제목

    - #### REQUEST_DATA

          public static final ViewHolderTaskType REQUEST_DATA

      요청한 업무

    - #### FAMOUS_SAYING_MARGIN

          public static final ViewHolderTaskType FAMOUS_SAYING_MARGIN

      명언 뷰

    - #### BOTTOM_MARGIN

          public static final ViewHolderTaskType BOTTOM_MARGIN

      하단 여백

  - ### Field Detail

    - #### type

          int type

  - ### Method Detail

    - #### values

          public static ViewHolderTaskType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ViewHolderTaskType c : ViewHolderTaskType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ViewHolderTaskType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()